commit:     9d516a3e15f695590c44f6ddbd2fb7a44e0f8027
Author:     Hasan ÇALIŞIR <hasan.calisir <AT> psauxit <DOT> com>
AuthorDate: Wed Oct 30 18:43:23 2019 +0000
Commit:     Joonas Niilola <juippis <AT> gentoo <DOT> org>
CommitDate: Fri Nov  1 14:03:36 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=9d516a3e

net-analyzer/ospd: bump to 2.0.0.

Package-Manager: Portage-2.3.76, Repoman-2.3.16
Signed-off-by: Hasan ÇALIŞIR <hasan.calisir <AT> psauxit.com>
Closes: https://github.com/gentoo/gentoo/pull/13502
Signed-off-by: Joonas Niilola <juippis <AT> gentoo.org>

 net-analyzer/ospd/Manifest          |  1 +
 net-analyzer/ospd/ospd-2.0.0.ebuild | 32 ++++++++++++++++++++++++++++++++
 2 files changed, 33 insertions(+)

diff --git a/net-analyzer/ospd/Manifest b/net-analyzer/ospd/Manifest
index 3cce3451ef6..702675e43a0 100644
--- a/net-analyzer/ospd/Manifest
+++ b/net-analyzer/ospd/Manifest
@@ -1 +1,2 @@
 DIST ospd-1.3.2.tar.gz 39097 BLAKE2B 
4c102e1e6857f89015666950e2d7a107bf81c861f9c6d4d74aab33f77585ea871e353aa95deb3f84a1bb4cd391f40121ca927835ebec9db2545eb8f606e96df7
 SHA512 
26ec0b45d74df687264ce2d5e42a6f51cfb982f8fe00863294b990ee8db819b7f54ebf3f095094c32c2bc91a51d987ac83f15f4bf15e931d4ffd215b72ac6bec
+DIST ospd-2.0.0.tar.gz 81645 BLAKE2B 
4c0c7af3caf274ea9e6a43790eb1e9d386ce42d9976e5e9625b49ffe12d8db2e613109458dcc59f322bc00aee39a4a89045caf302182474d1fab4ca1c4ff1bcf
 SHA512 
971b4b57c39844ef08a0ae56d4bf87f0440c993960b5ad37516c622ad41eb2ab30fabb9d0a05fd043a9a1d98e446eaab9d5018cc1607fd711c533475f4703012

diff --git a/net-analyzer/ospd/ospd-2.0.0.ebuild 
b/net-analyzer/ospd/ospd-2.0.0.ebuild
new file mode 100644
index 00000000000..ae035362d7d
--- /dev/null
+++ b/net-analyzer/ospd/ospd-2.0.0.ebuild
@@ -0,0 +1,32 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{5,6,7} )
+inherit distutils-r1
+
+DESCRIPTION="Base class for scanner wrappers,communication protocol for GVM"
+HOMEPAGE="https://www.greenbone.net/en/";
+SRC_URI="https://github.com/greenbone/ospd/archive/v${PV}.tar.gz -> 
${P}.tar.gz"
+
+SLOT="0"
+LICENSE="GPL-2"
+KEYWORDS="~amd64 ~x86"
+IUSE="extras"
+
+RDEPEND="
+       dev-python/defusedxml[${PYTHON_USEDEP}]
+       dev-python/lxml[${PYTHON_USEDEP}]
+       dev-python/paramiko[${PYTHON_USEDEP}]"
+
+DEPEND="
+       ${RDEPEND}"
+
+python_compile() {
+       if use extras; then
+               bash "${S}"/doc/generate || die
+               HTML_DOCS=( "${S}"/doc/. )
+       fi
+       distutils-r1_python_compile
+}

Reply via email to